
category=Utility
remote-app-id=74860500
context-names=
compatible-fix-pack=15
version=7.1.15
icon-url=https://web.liferay.com/web/guest/marketplace/-/mp/asset/icon/74860500/7.1.15
required=true
title=Liferay Static
bundles=org.osgi.util.promise#1.1.0.201802012106##,org.osgi.util.function#1.1.0.201802012106##,org.osgi.service.metatype#1.3.0.201505202024##,org.osgi.service.http#3.5.0.LIFERAY-PATCHED-2##,org.osgi.service.cdi#1.0.0.201810101357##,org.jboss.weld.osgi-bundle#3.0.5.Final##,org.jboss.logging.jboss-logging#3.3.2.Final##,org.eclipse.equinox.metatype#1.4.200.v20150715-1528##,org.eclipse.equinox.http.servlet#1.2.2.v20190228-1648##,org.eclipse.equinox.console#1.3.100.v20180827-1235##,org.apache.felix.scr#2.1.14.LIFERAY-PATCHED-2##,org.apache.felix.gogo.runtime#1.1.0.LIFERAY-PATCHED-2##,org.apache.felix.gogo.command#1.0.2##,org.apache.felix.fileinstall#3.6.4.LIFERAY-PATCHED-10##,org.apache.felix.eventadmin#1.5.0.LIFERAY-PATCHED-1##,org.apache.felix.dependencymanager#3.2.0##,org.apache.felix.configadmin#1.9.8.LIFERAY-PATCHED-3##,org.apache.commons.io#2.2.0##,org.apache.commons.fileupload#1.3.3##,org.apache.aries.spifly.dynamic.framework.extension#1.2.0##,org.apache.aries.cdi.extra#1.0.0##,jboss-classfilewriter#1.2.3.Final##,javax.servlet.jsp.jstl-api#1.2.2##,javax.servlet.jsp.jstl#1.2.3.LIFERAY-PATCHED-2##,javax.servlet.jsp-api#2.3.3##,com.sun.el.javax.el#3.0.0##,org.apache.geronimo.specs.geronimo-jcdi_2.0_spec#1.1.0##,org.apache.geronimo.specs.geronimo-interceptor_1.2_spec#1.1.0##,org.apache.geronimo.specs.geronimo-atinject_1.0_spec#1.1.0##,org.apache.geronimo.specs.geronimo-annotation_1.3_spec;singleton=true#1.1.0##,com.liferay.portal.target.platform.indexer.api#1.0.1##,com.liferay.portal.profile.api#2.0.2##,com.liferay.portal.osgi.web.wab.spring.bridge.api#1.0.13##,com.liferay.portal.osgi.web.wab.generator.api#1.0.1##,com.liferay.portal.osgi.web.servlet.context.helper.api#1.1.2##,com.liferay.portal.osgi.web.servlet.api#1.0.3##,com.liferay.portal.lpkg.deployer.api#1.0.3##,com.liferay.portal.configuration.persistence.api#1.0.4##,com.liferay.portal.configuration.metatype.api#1.1.11##,com.liferay.portal.component.blacklist.api#2.0.0##,com.liferay.portal.bundle.blacklist.api#1.0.1##,com.liferay.osgi.util#4.1.4##,com.fasterxml.jackson.core.jackson-databind#2.9.9.3##,com.fasterxml.jackson.core.jackson-core#2.9.9##,com.fasterxml.jackson.core.jackson-annotations#2.9.9##,org.apache.felix.gogo.shell#1.1.0##,org.apache.felix.dependencymanager.shell#3.2.0##,org.apache.aries.cdi.extension.http#1.0.1.201902132117##,org.apache.aries.cdi.extension.el.jsp#1.0.0##,org.apache.aries.cdi.extender#1.0.1.201902132117##,com.liferay.portal.target.platform.indexer.impl#1.0.16##,com.liferay.portal.social.activity.extender#1.0.7##,com.liferay.portal.profile.impl#2.0.4##,com.liferay.portal.osgi.web.wab.reference.support#2.0.13##,com.liferay.portal.osgi.web.wab.generator.impl#1.0.40##,com.liferay.portal.osgi.web.wab.extender#3.0.36##,com.liferay.portal.osgi.web.servlet.jsp.compiler#3.0.21##,com.liferay.portal.osgi.web.servlet.jsp.api.fragment#1.0.1##,com.liferay.portal.osgi.web.servlet.el.api.fragment#1.0.1##,com.liferay.portal.osgi.web.servlet.context.helper.impl#1.0.22##,com.liferay.portal.osgi.web.portlet.tracker#3.0.16##,com.liferay.portal.lpkg.deployer.impl#1.0.32##,com.liferay.portal.log4j.extender#3.0.5##,com.liferay.portal.configuration.persistence.impl#1.0.13##,com.liferay.portal.component.blacklist.impl#2.0.8##,com.liferay.portal.classloader.tracker#2.0.5##,com.liferay.portal.bundle.blacklist.impl#1.0.11##,com.liferay.osgi.log.service.extender#2.0.3##,com.liferay.osgi.felix.lang#1.0.5##,com.liferay.osgi.felix.file.install.configuration.cleaner#2.0.5##
description=The Static app contains an important group of extenders and utilities that Liferay statically installs before installing any dynamic OSGi modules. The app's functionality includes a log4j extender, an OSGi WAB extender, configuration utilities, OSGi deployment utilities, target platform indexing, and more.\
 \
 This suite is available in the Liferay bundle.
restart-required=true
